# Uses of Interface
com.sun.source.doctree.EntityTree

Packages that use EntityTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of EntityTree in com.sun.source.doctree

Methods in com.sun.source.doctree with parameters of type EntityTree
Modifier and Type
Method
Description
`R`
DocTreeVisitor.`visitEntity(EntityTree node, P p)`
Visits an `EntityTree` node.

## Uses of EntityTree in com.sun.source.util

Methods in com.sun.source.util that return EntityTree
Modifier and Type
Method
Description
`EntityTree`
DocTreeFactory.`newEntityTree(Name name)`
Creates a new `EntityTree` object, to represent an HTML entity.
Methods in com.sun.source.util with parameters of type EntityTree
Modifier and Type
Method
Description
`abstract String`
DocTrees.`getCharacters(EntityTree tree)`
Returns a string containing the characters for the entity in a given entity tree, or `null` if the tree does not represent a valid series of characters.
`R`
DocTreeScanner.`visitEntity(EntityTree node, P p)`
Visits an `EntityTree` node.
`R`
SimpleDocTreeVisitor.`visitEntity(EntityTree node, P p)`
Visits an `EntityTree` node.